Get a playtest
curl --request GET \
--url https://api.userplay.io/public/v1/studios/{studioId}/playtests/{playtestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userplay.io/public/v1/studios/{studioId}/playtests/{playtestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userplay.io/public/v1/studios/{studioId}/playtests/{playtestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"playtestId": "<string>",
"studioId": "<string>",
"createdBy": "<string>",
"playtestType": "single",
"playtestName": "<string>",
"playtestDescription": "<string>",
"stage": "draft",
"buildDistributionUrl": "<string>",
"ndaBriefingContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"ndaManagementEnabled": true,
"ndaCustomAgreements": [
{
"id": "<string>",
"label": "<string>"
}
],
"buildDistributionContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"buildDistributionEnabled": true,
"recordingEnabled": true,
"screeningEnabled": true,
"playtestScreening": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"playtestCaptureAudio": "enabled",
"playtestCaptureScreen": "enabled",
"playtestCaptureEvents": "enabled",
"playtestHighlightsConfig": {
"agentHighlightsEnabled": true,
"transcriptsEnabled": true,
"categories": [
"Enjoyment"
]
},
"playtestSessionCount": 123,
"playtestAccess": "open",
"maxPlayers": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"gameName": "<string>",
"gamePlatform": "windows",
"hasResults": true,
"sessionConfigs": [
{
"sessionConfigId": "<string>",
"playtestId": "<string>",
"sessionNumber": 123,
"minSessionDuration": 123,
"sessionCooldown": 123,
"sessionBriefingContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"sessionBriefingEnabled": true,
"sessionObjectivesContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"sessionObjectivesEnabled": true,
"sessionSurveyEnabled": true,
"sessionSurveyContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"players": [
{
"playerId": "<string>",
"playerEmail": "<string>"
}
]
}
}Playtests
Get a playtest
GET
/
studios
/
{studioId}
/
playtests
/
{playtestId}
Get a playtest
⌘I